Summary:   Text search application
Name:      doctorj
Version:   5.1.2
Release:   1
Epoch:     0
License:   LGPL
Group:     Development/Tools
URL:       http://www.incava.org/projects/doctorj
Source:    http://www.incava.org/projects/doctorj/doctorj-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager:  Jeff Pace (jpace@incava.org)
Vendor:    incava.org
BuildArch: i386

%description
DoctorJ analyzes Java code and Javadoc comments.

%prep
%setup -q

%build
ant

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
ant -Ddestdir=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/*/*
%attr(0755,root,root) %{_datadir}/doctorj/doctorj.jar
%{_datadir}/doctorj/words.*

%changelog
* Mon Aug 21 2006 Jeff Pace <jpace@incava.org> 5.1.2-1
- Improved detection and handling of run-time exceptions and exceptions
  derived from java.lang.Error.

* Mon Aug 21 2006 Jeff Pace <jpace@incava.org> 5.1.1-1
- Changed --warning option to --level.
- Changed default warning/error level to 4.

* Wed Aug  9 2006 Jeff Pace <jpace@incava.org> 5.1.0-1
- Integrated PMD AST.
- Rewritten to process Java 1.3, 1.4, and 1.5.
- Improvements in processing and memory consumption.

* Mon Apr 26 2004 Jeff Pace <jpace@incava.org> 5.0.0-1
- Java rewrite.
